using System.ComponentModel;

namespace APT.MS.Domain.Enums
{
    /// <summary>
    /// 体检类型
    /// </summary>
	public enum OHHealthExamType
    {
        /// <summary>
        /// 新员工 10
        /// </summary>
        [Description("新员工")]
        New = 10,

        /// <summary>
        /// 岗中 20
        /// </summary>
        [Description("岗中")]
        Post = 20,

        /// <summary>
        /// 复查  30
        /// </summary>
        [Description("复查")]
        Back = 30,

        /// <summary>
        /// 调岗  40
        /// </summary>
        [Description("调岗")]
        Transfer = 40,

        /// <summary>
        /// 离岗 50
        /// </summary>
        [Description("离岗")]
        Leave = 50,

        /// <summary>
        /// 转复岗  60
        /// </summary>
        [Description("转复岗")]
        TransBackfer = 60,
    }

    /// <summary>
    /// 体检结果导入情况
    /// </summary>
    public enum NoticeImportState
    {
        /// <summary>
        /// 草稿
        /// </summary>
        [Description("草稿")]
        Draft = 0,

        /// <summary>
        /// 发送导入通知
        /// </summary>
        [Description("发送导入通知")]
        NoticeImport = 10,

        /// <summary>
        /// 体检结果导入
        /// </summary>
        [Description("体检结果导入")]
        Import = 20,
    }
    /// <summary>
    /// 体检计划状态
    /// </summary>
	public enum OHHealthExamPlanStatus
    {
        //企业管理部 = 0,
        //上报部门登记 = 1,
        //企管部汇总 = 2,
        //待审批 = 3,
        //完成 = 4,

        /// <summary>
        /// 企业管理部  草稿 0
        /// </summary>
        [Description("草稿")]
        Draft = 0,

        /// <summary>
        /// 企业管理部  确认 10
        /// </summary>
        [Description("确认")]
        Sign = 10,


        ///// <summary>
        ///// 人事专员 通知保存草稿 20
        ///// </summary>
        //[Description("通知保存草稿")]
        //NoticeTemp = 20,

        ///// <summary>
        ///// 发送通知
        ///// </summary>
        //SendNotice = 30,

    }

    /// <summary>体检计划部门处理状态</summary>
	public enum OHHealthExamNoticeRegisterStatus
    {

        /// <summary>
        /// 待通知 0
        /// </summary>
        [Description("待通知")]
        WaitNotice = 0,

        ///// <summary>
        ///// 待通知 5
        ///// </summary>
        //[Description("体检人阅读通知")]
        //Read =5,


        /// <summary>
        /// 带队人审阅 10
        /// </summary>
        [Description("带队人审阅")]
        MasterRead = 10,


        ///// <summary>
        ///// 完成 13
        ///// </summary>
        //[Description("完成")]
        //ReadOK = 13,


        ////完成 = 15,
        ////已通知体检 = 20,
        ////已通知结果 = 25,

        ///// <summary>
        ///// 完成 15
        ///// </summary>
        //[Description("完成")]
        //Finish = 15,

        ///// <summary>
        ///// 已通知体检 20
        ///// </summary>
        //[Description("已通知体检")]
        //NoticeExam = 20,

        /// <summary>
        /// 已通知结果 25
        /// </summary>
        [Description("已通知结果")]
        NoticeResult = 25
    }

    /// <summary>
    /// 体检结论
    /// </summary>
	public enum OHHealthExamResult
    {
        /// <summary>
        /// 未填写 0
        /// </summary>
        [Description("未填写")]
        NotSign = 0,

        /// <summary>
        /// 目前未见异常 5
        /// </summary>
        [Description("目前未见异常")]
        NoException = 5,

        /// <summary>
        /// 建议复查 10
        /// </summary>
        [Description("建议复查")]
        ReCheck = 10,

        /// <summary>
        /// 职业病 15
        /// </summary>
        [Description("职业病")]
        Disease = 15,

        /// <summary>
        /// 职业禁忌症 20
        /// </summary>
        [Description("职业禁忌症")]
        Contraindications = 20,

        /// <summary>
        /// 其他疾病或异常 25
        /// </summary>
        [Description("其他疾病或异常")]
        OtherDisease = 25,

        /// <summary>
        /// 疑似职业病 30
        /// </summary>
        [Description("疑似职业病")]
        MayBeDisease = 30,
    }

    /// <summary>
    /// 体检结论
    /// </summary>
    public enum OHHealthExamResultEdit
    {

        /// <summary>
        /// 目前未见异常 5
        /// </summary>
        [Description("目前未见异常")]
        NoException = 5,

        /// <summary>
        /// 建议复查 10
        /// </summary>
        [Description("建议复查")]
        ReCheck = 10,

        /// <summary>
        /// 职业病 15
        /// </summary>
        [Description("职业病")]
        Disease = 15,

        /// <summary>
        /// 职业禁忌症 20
        /// </summary>
        [Description("职业禁忌症")]
        Contraindications = 20,

        /// <summary>
        /// 其他疾病或异常 25
        /// </summary>
        [Description("其他疾病或异常")]
        OtherDisease = 25,

        /// <summary>
        /// 疑似职业病 30
        /// </summary>
        [Description("疑似职业病")]
        MayBeDisease = 30,
    }


    /// <summary>体检结果状态</summary>
	public enum OHHealthExamResultStatus
    {
        /// <summary>
        /// 待填写 0
        /// </summary>
        [Description("待提交")]
        WaitSign = 0,

        /// <summary>
        /// 待填写职业病信息 10
        /// </summary>
        [Description("待填写职业病信息")]
        WaitSignDisease = 10,

        /// <summary>
        /// 完成 20
        /// </summary>
        [Description("完成")]
        Finish = 20,
    }

    /// <summary>
    /// 职业危害监测表单类型
    /// </summary>
	public enum OHHazardMonitorFormTypeEnum
    {
        /// <summary>
        /// 生产扬尘浓度监测 10
        /// </summary>
        [Description("生产扬尘浓度监测")]
        DustMonitoring = 10,

        /// <summary>
        /// 工作场所噪声监测 20
        /// </summary>
        [Description("工作场所噪声监测")]
        WorkPlaceMonitoring = 20,

        /// <summary>
        /// 放射源放射性监测 30
        /// </summary>
        [Description("放射源放射性监测")]
        RadiationMonitoring = 30,

        /// <summary>
        /// 水质监测记录表单 40
        /// </summary>
        [Description("水质监测记录表单")]
        WaterMonitoring = 40,

    }

    /// <summary>
    /// 职业危害监测频率
    /// </summary>
	public enum OHHazardMonitorIntervalEnum
    {
        /// <summary>
        /// 无
        /// </summary>
        [Description("无")]
        None = 0,

        /// <summary>
        /// 每天
        /// </summary>
        [Description("每天")]
        Date = 10,

        /// <summary>
        /// 每周
        /// </summary>
        [Description("每周")]
        Week = 20,

        /// <summary>
        /// 每月
        /// </summary>
        [Description("每月")]
        Month = 30,

        /// <summary>
        /// 每季(每季度第一月)
        /// </summary>
        [Description("每季")]
        Quarter = 40,

        /// <summary>
        /// 每半年
        /// </summary>
        [Description("每半年")]
        HalfYear = 50,

        /// <summary>
        /// 每年
        /// </summary>
        [Description("每年")]
        Year = 60,
    }

    /// <summary>
    /// 职业危害监测作业阶段状态
    /// </summary>
	public enum OHHazardMonitorJobStageEnum
    {
        /// <summary>
        /// 作业前 10
        /// </summary>
        [Description("作业前")]
        WorkBefor = 10,

        /// <summary>
        /// 作业中 20
        /// </summary>
        [Description("作业中")]
        WorkIng = 20,

        /// <summary>
        /// 作业后 30
        /// </summary>
        [Description("作业后")]
        WorkAfter = 30,
    }


    /// <summary>职业危害监测个体防护情况</summary>
    public enum OHHazardMonitorJobProtectEnum
    {
        /// <summary>
        /// 已佩戴 10
        /// </summary>
        [Description("已佩戴")]
        Wear = 10,

        /// <summary>
        /// 未佩戴 20
        /// </summary>
        [Description("未佩戴")]
        WearNone = 20,

        /// <summary>
        /// 缺少 30
        /// </summary>
        [Description("缺少")]
        WearPart = 30,
    }

    //   /// <summary>职业危害监测作业是否超限</summary>
    //public enum OHHazardMonitorOverLimitEnum
    //   {
    //       否 = 0,
    //       是 = 1,
    //   }

    /// <summary>职业危害监测作业状态</summary>
    public enum OHHazardMonitorJobStatusEnum
    {
        /// <summary>
        /// 待填写 0
        /// </summary>
        [Description("待填写")]
        WaitSign = 0,

        /// <summary>
        /// 完成 10
        /// </summary>
        [Description("完成")]
        Finish = 10,

        /// <summary>
        /// 已统计 20
        /// </summary>
        [Description("已统计")]
        Statisticaled = 20,
    }

    public enum ConfigType
    {
        /// <summary>
        /// 体检计划表 10
        /// </summary>
        [Description("体检计划表")]
        EXAM_PLAN = 10,

        /// <summary>
        /// 职业危害检测报告 20
        /// </summary>
        [Description("职业危害检测报告")]
        CHECK_REPORT = 20,

        /// <summary>
        /// 监测结果统计与分析表 30
        /// </summary>
        [Description("监测结果统计与分析汇总")]
        RESULT_SUM = 30,
    }
}
